Results 1 to 6 of 6

Thread: nothing provides... when attempting firefox-esr update.

  1. #1
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,389

    Default nothing provides... when attempting firefox-esr update.

    I've only recently started using the mozilla repo, http://download.opensuse.org/reposit...SE_Tumbleweed/ (for firefox-esr).

    Attempting an update 52.5.3-1.10 -> 52.5.3-1.11 (so only a rebuild?) results in:

    "nothing provides mozilla-nspr >= 52.5.3 needed by firefox-esr-52.5.3-1.11.x86_64"

    ... is the "nothing provides..." a common occurrence with that repo and just a case of waiting a day or two perhaps.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20200211) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  2. #2

    Default Re: nothing provides... when attempting firefox-esr update.

    Must be a mistake in the package dependencies.

    mozilla-nss and mozilla-nspr have different versioning schemes and are at version 3.34.1 and 4.17 respectively.

    IIANM, the reason is that the %VERSION in these lines will be replaced by the same package's version starting with rpm 4.14, before the specified command is run (which is intended to query the version of the mozilla-nspr/nss package that is used for building):
    Code:
    Requires:       mozilla-nspr >= %(rpm -q --queryformat '%{VERSION}' mozilla-nspr)
    Requires:       mozilla-nss >= %(rpm -q --queryformat '%{VERSION}' mozilla-nss) 
    There were fixes for such things all over the distribution in the last weeks, seems that firefox-esr has been "forgotten"...

    Ignoring the dependency should be fine though.
    Last edited by wolfi323; 17-Jan-2018 at 09:30.

  3. #3
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,389

    Default Re: nothing provides... when attempting firefox-esr update.

    OK... Thanks for the explanation.

    Quote Originally Posted by wolfi323 View Post
    There were fixes for such things all over the distribution in the last weeks, seems that firefox-esr has been "forgotten"
    Is that worthy of a bug report on bugzilla.opensuse.org ?
    Regards, Paul

    2x Tumbleweed (Snapshot: 20200211) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  4. #4

    Default Re: nothing provides... when attempting firefox-esr update.

    Quote Originally Posted by tannington View Post
    Is that worthy of a bug report on bugzilla.opensuse.org ?
    Sure, if you want to have it fixed. Or wait until somebody else (hopefully the maintainer) notices.

    OTOH, one can of course also submit a fix on OBS.
    It's even trivial in this case, just replace %{VERSION} with %%{VERSION}.

    I can do that myself later, must fix kdenlive now because I just noticed a similar problem there. (it requires kdenlive-modules now instead of libmlt6-modules on Tumbleweed...)

  5. #5
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,389

    Default Re: nothing provides... when attempting firefox-esr update.

    Quote Originally Posted by wolfi323 View Post
    OTOH, one can of course also submit a fix on OBS.
    Whilst the fix may be trivial, my knowledge of OBS could be written legibly on the head of a pin.

    Bug report created:

    https://bugzilla.opensuse.org/show_bug.cgi?id=1076438
    Regards, Paul

    2x Tumbleweed (Snapshot: 20200211) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  6. #6

    Default Re: nothing provides... when attempting firefox-esr update.

    Actually I already created a fixed package, just still waiting for it to finish building (takes hours it seems) before I submit it...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •